Subject: Re: bug#25689: gnome-shell segfaults

From: ng0 <[email-masked]>
Date: Fri, 3 Mar 2017 11:20:22 +0000

On 17-03-03 10:02:52, Catonano wrote:
> 2017-02-11 15:31 GMT+01:00 ng0 <[email-masked]>:
> 
> > So, I am not 100% sure if I encouter hardware failures or software
> > failures here. But I need to solve wether this is a GNOME bug to exclude
> > or include the hardware failure.
> >
> > The following is the log output of a session with SSDM where I
> > succesfully log into "GNOME with Xorg" and launch the GNOME-Terminal
> > after I logged into GNOME.
> >
> > The visual side of the log can be described like this: I can see how
> > the terminal application opens, but just a milisecond after it's ready I
> > see the window decoration disappearing, content of the application
> > stays, GNOME session crashes, on a dark scree I see for a moment:
> >
> > vmunix: [  226.579414] nouveau 0000:01:00.0: DRM: 0xD4A7: Parsing digital
> > output script table
> >
> > and I get thrown back to the log in screen of SDDM.
> >
> > Occasionally gnome-terminal or some other gnome part would crash my
> > gnome session when I still used SLIM.
> >
> > This is on commit 883aab6462c49d4f4846a6f22168325e70227663
> > but has been happening for a very long time before this commit.
> >
> 
> I use the Gnome terminal all the time and I can't confirm your
> experience
> 
> CAVEATS:
> 
> 1) I don't know whether I'm using SSDM or SLIM. I just took the basic
> desktop conf file when I installed

That's SLIM then.

> 2) this is my video card
> 
> ~$ lspci | grep VGA
> 00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core
> processor Graphics Controller (rev 09)
> 
> ~$ egrep -i " connected|card detect|primary dev|Setting driver"
> /var/log/Xorg.0.log
> [     7.760] (II) intel(0): Using Kernel Mode Setting driver: i915, version
> 1.6.0 20160919

Yes, I can confirm this too, as this only happens with AT and NVidia
cards for me. The one in the system I tested is supported well enough to
be slow in GNOME but can play back videos without lagging.
This is due to the firmware in linux-libre not offering all the features
the blob variant would provide.

I was not able to reproduce it with anything other than GNOME.